Package org.eclipse.cdt.utils.debug.stabs

# Class TypeInformation

java.lang.Object
org.eclipse.cdt.utils.debug.stabs.TypeInformation

public class TypeInformation extends Object

## Constructor Summary

Constructors
Constructor
Description
`TypeInformation(Reader reader)`

## Method Summary

Modifier and Type
Method
Description
`char`
`getTypeDescriptor()`
`TypeNumber`
`getTypeNumber()`
`boolean`
`isTypeDefinition()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypeInformation

public TypeInformation(Reader reader)

## Method Details

### getTypeNumber

public TypeNumber getTypeNumber()

### getTypeDescriptor

public char getTypeDescriptor()

### isTypeDefinition

public boolean isTypeDefinition()